/*
 * DataReceiver.h
 *
 *  Created on: Jan 22, 2014
 *      Author: lacasta
 */

#ifndef DATARECEIVER_H_
#define DATARECEIVER_H_


class EventData;
/**
 * This class is a data receiver.
 * It will receive the data read from the card.
 * In fact, Alivaba will call the receive method of an class
 * deriving from DataReceiver which has registered properly
 */
class DataReceiver
{
    public:
        // constructor
        DataReceiver()
        {
        }

        // destructor
        virtual ~DataReceiver()
        {
        }

        // Function call from Alibava to send the data to this object.
        virtual void receive(const EventData *)
        {
        }

        /*
         * Set of functions that define a scan
         */
        virtual void define_scan(int npts, double from, double to) {}
        virtual void end_of_scan_point(double value, unsigned int ntrg) {}
};



#endif /* DATARECEIVER_H_ */
