/*
 * RadSourceRun.cc
 *
 *  Created on: May 12, 2010
 *      Author: lacasta
 */

#include <iostream>
#include "DAQmanager.h"
#include "Analysis.h"
#include "DAQConfig.h"
#include "RadSourceRun.h"
#include <ConfigFactory.h>

RadSourceRun::RadSourceRun(DAQmanager *b)
    : DataRun(b)
{

}

RadSourceRun::~RadSourceRun()
{
}

int RadSourceRun::acquire(unsigned int val)
{
    Alibava *alibava = get_daq_manager()->get_board();
    ConfigFactory *cfg = ConfigFactory::instance();
    DAQConfig *daq = dynamic_cast<DAQConfig *>(cfg->get("daq"));
    int rc = alibava->rad_source_acq(daq->sample_size());
//    int ntrg = alibava->get_trigger_counter();
//    std::cout << "Ntrig: " << ntrg << std::endl;
    return rc;
}

int RadSourceRun::read_data()
{
    return get_daq_manager()->get_board()->rad_source_reading();
}
