/*
 * EducationalPlugin.h
 *
 *  Created on: Dec 16, 2013
 *      Author: lacasta
 */

#ifndef EDUCATIONALPLUGIN_H_
#define EDUCATIONALPLUGIN_H_

#include <string>
#include <Plugin.h>

class EducationalPlugin: public Plugin
{
    private:
        std::string _buffer;
        int _run_type;
    public:
        EducationalPlugin();
        virtual ~EducationalPlugin();


        /**
         * Declaration of Plugin methods to be implemented
         */
        std::string new_file();
        int start_of_run(int run_type, int nevts, int sample_size);
        std::string end_of_run();
        bool new_event(int evt);
        std::string filter_event(const EventData *);
};

#endif /* EDUCATIONALPLUGIN_H_ */
